<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditMfsFeedBurner.ascx.cs"
    Inherits="Mindfire.MfsFeedBurner.EditMfsFeedBurner" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Audit" Src="~/controls/ModuleAuditControl.ascx" %>

<table width="700" cellspacing="0" style="padding-bottom: 20px;" cellpadding="0"
    border="0" summary="Edit Table">
    <tr>
        <td class="SubHead" style="text-align: left;" width="125">
            <dnn:Label ID="lblContent" runat="server" ControlName="lblContent" Suffix=":"></dnn:Label>
        </td>
        <td style="padding-left: 10px;">
            <asp:TextBox runat="server" ID="txtUrl" MaxLength="1500" Width="500" Height="100"
                TextMode="MultiLine" ValidationGroup="check" />
            <asp:Label ID="lblMultiUrl" Text="Note:In case of multiple url separate them using '|' symbol."
                runat="server" />
            <asp:RequiredFieldValidator ID="valContent" resourcekey="valContent.ErrorMessage"
                ControlToValidate="txtUrl" CssClass="NormalRed" ValidationGroup="check" ErrorMessage="Url is required"
                runat="server" />
        </td>
    </tr>
    <tr>
        <td class="SubHead" width="150">
            <dnn:Label ID="lblCount" runat="server" ControlName="txtCount" Suffix=":"></dnn:Label>
        </td>
        <td style="padding-left: 10px;">
            <asp:TextBox runat="server" ID="txtCount" MaxLength="2" Width="30" ValidationGroup="check" />
            <asp:RegularExpressionValidator ID="CountRegularExpressionValidator" runat="server"
                ControlToValidate="txtCount" CssClass="NormalRed" ErrorMessage="Please enter integer only"
                ValidationExpression="^\d+$" ValidationGroup="check"></asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="SubHead">
            <dnn:Label ID="lblNewsItemWidth" runat="server" ControlName="txtNewsItemWidth" Suffix=":">
            </dnn:Label>
        </td>
        <td style="padding-left: 10px;">
            <asp:TextBox runat="server" ID="txtNewsItemWidth" MaxLength="4" Width="40"
                ValidationGroup="check" />
            <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="txtNewsItemWidth"
                CssClass="NormalRed" ErrorMessage="Please enter integer only" ValidationExpression="^\d+$"
                ValidationGroup="check"></asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="SubHead">
            <dnn:Label ID="lblDisplay" runat="server" ControlName="rblDisplay" Suffix=":"></dnn:Label>
        </td>
        <td>
            <asp:RadioButtonList ID="rblDisplay" runat="server" RepeatDirection="Horizontal" onclick="rblDisplayChanged(this);ShowDirections();">
                <asp:ListItem Value="s">Static</asp:ListItem>
                <asp:ListItem Value="m">Moving</asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr id = "trSpeed" style = "display:none;">
        <td class="SubHead">
            <dnn:Label ID="lblSpeed" runat="server" ControlName="rblSpeed" Suffix=":">
            </dnn:Label>
        </td>
        <td>
            <asp:RadioButtonList ID="rblSpeed" runat="server" RepeatDirection="Horizontal">
                <asp:ListItem Value="1">Slow</asp:ListItem>
                <asp:ListItem Value="3">Normal</asp:ListItem>
                <asp:ListItem Value="6" Selected = "True">Fast</asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr id = "trMove">
        <td class="SubHead">
            <dnn:Label ID="lblMov" runat="server" ControlName="rblMov" Suffix=":">
            </dnn:Label>
        </td>
        <td>
            <asp:RadioButtonList ID="rblMov" runat="server" RepeatDirection="Horizontal" onclick="ShowDirections();">
                <asp:ListItem Value="hm">Horizontal</asp:ListItem>
                <asp:ListItem Value="vm">Vertical</asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr id = "trMoveLeftRight" style = "display:none;">
        <td class="SubHead">
            <dnn:Label ID="lblMovLeftRight" runat="server" ControlName="rblMoveLeftRight" Suffix=":">
            </dnn:Label>
        </td>
        <td>
            <asp:RadioButtonList ID="rblMoveLeftRight" runat="server" RepeatDirection="Horizontal">
                <asp:ListItem Value="left" Selected = "True">Right To Left</asp:ListItem>
                <asp:ListItem Value="right" >Left To Right</asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr id = "trMoveTopButtom" style = "display:none;">
        <td class="SubHead">
            <dnn:Label ID="lblMoveTopButtom" runat="server" ControlName="rblMoveTopBottom" Suffix=":">
            </dnn:Label>
        </td>
        <td>
            <asp:RadioButtonList ID="rblMoveTopBottom" runat="server" RepeatDirection="Horizontal">
                <asp:ListItem Value="up" Selected = "True">Bottom To Top</asp:ListItem>
                <asp:ListItem Value="down" >Top To Bottom</asp:ListItem>   
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr id = "trScroll" style = "display:none;">
        <td class="SubHead">
            <dnn:Label ID="lblScroll" runat="server" ControlName="rblScroll" Suffix=":">
            </dnn:Label>
        </td>
        <td>
            <asp:RadioButtonList ID="rblScroll" runat="server" RepeatDirection="Horizontal">
                <asp:ListItem Value="1" Selected = "True">Mouse Over</asp:ListItem>
                <asp:ListItem Value="2">Always</asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr>
        <td class="SubHead">
            <dnn:Label ID="lblWidth" runat="server" ControlName="txtWidth" Suffix=":">
            </dnn:Label>
        </td>
        <td style="padding-left: 10px;">
            <asp:TextBox runat="server" ID="txtWidth" MaxLength="4" Width="40"
                ValidationGroup="check" />
            <asp:RegularExpressionValidator ID="rglrWidht" runat="server" ControlToValidate="txtWidth"
                CssClass="NormalRed" ErrorMessage="Please enter integer only" ValidationExpression="^\d+$"
                ValidationGroup="check"></asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="SubHead">
            <dnn:Label ID="lblHeight" runat="server" ControlName="txtHeight" Suffix=":">
            </dnn:Label>
        </td>
        <td style="padding-left: 10px;">
            <asp:TextBox runat="server" ID="txtHeight" MaxLength="4" Width="40"
                ValidationGroup="check" />
            <asp:RegularExpressionValidator ID="rglrHeight" runat="server" ControlToValidate="txtHeight"
                CssClass="NormalRed" ErrorMessage="Please enter integer only" ValidationExpression="^\d+$"
                ValidationGroup="check"></asp:RegularExpressionValidator>
        </td>
    </tr>
</table>
<p>
    <asp:LinkButton CssClass="CommandButton" ID="cmdUpdate" resourcekey="cmdUpdate" runat="server"
        BorderStyle="none" Text="Update" Font-Size="Small" Font-Bold="true" OnClick="CmdUpdate_Click"
        ValidationGroup="check"></asp:LinkButton>&nbsp;
    <asp:LinkButton CssClass="CommandButton" ID="cmdCancel" resourcekey="cmdCancel" runat="server"
        BorderStyle="none" Text="Cancel" Font-Size="Small" Font-Bold="true" CausesValidation="False"
        OnClick="CmdCancel_Click"></asp:LinkButton>&nbsp;
</p>


<script type="text/javascript">

    $(document).ready(function () {
        var radioDisplay = document.getElementById('<%= rblDisplay.ClientID %>');

        rblDisplayChanged(radioDisplay);
        ShowDirections();
    });

    function ShowDirections() {
        var radioDisplay = document.getElementById('<%= rblDisplay.ClientID %>');
        var radioMove = document.getElementById('<%= rblMov.ClientID %>');

        rblDisplayDirections(radioDisplay, radioMove);
    }

</script>